btllib

Public Member Functions | List of all members
btllib::SeedNtHash Class Reference

## Public Member Functions
| SeedNtHash (const char *seq, size_t seq_len, const std::vector< SpacedSeed > &seeds, unsigned hash_num_per_seed, unsigned k, size_t pos=0)
| SeedNtHash (const std::string &seq, const std::vector< SpacedSeed > &seeds, unsigned hash_num_per_seed, unsigned k, size_t pos=0)
| SeedNtHash (const char *seq, size_t seq_len, const std::vector< std::string > &seeds, unsigned hash_num_per_seed, unsigned k, size_t pos=0)
| SeedNtHash (const std::string &seq, const std::vector< std::string > &seeds, unsigned hash_num_per_seed, unsigned k, size_t pos=0)
| SeedNtHash (const SeedNtHash &seed_nthash)
| SeedNtHash (SeedNtHash &&)=default
bool | roll ()
bool | roll_back ()
bool | peek ()
bool | peek_back ()
bool | peek (char char_in)
bool | peek_back (char char_in)
const uint64_t * | hashes () const
void | change_seq (const std::string &seq, size_t pos=0)
size_t | get_pos () const
bool | forward () const
unsigned | get_hash_num () const
unsigned | get_hash_num_per_seed () const
unsigned | get_k () const
uint64_t * | get_forward_hash () const
uint64_t * | get_reverse_hash () const

## Member Function Documentation

## ◆ peek() [1/2]

bool btllib::SeedNtHash::peek | ( |  | ) |

Peeks the hash values as if roll() was called. Refer to NtHash::peek() for more information.

Returns
  true on success and false otherwise.

## ◆ peek() [2/2]

bool btllib::SeedNtHash::peek | ( | char | char_in | ) |

Like peek(), but as if roll(char char_in) was called.

Returns
  true on success and false otherwise.

## ◆ peek_back() [1/2]

bool btllib::SeedNtHash::peek_back | ( |  | ) |

Like peek(), but as if roll_back() was called.

Returns
  true on success and false otherwise.

## ◆ peek_back() [2/2]

bool btllib::SeedNtHash::peek_back | ( | char | char_in | ) |

Like peek(), but as if roll_back(char char_in) was called.

Returns
  true on success and false otherwise.

## ◆ roll()

bool btllib::SeedNtHash::roll | ( |  | ) |

Calculate the next hash value. Refer to NtHash::roll() for more information.

Returns
  true on success and false otherwise.

## ◆ roll_back()

bool btllib::SeedNtHash::roll_back | ( |  | ) |

Like the roll() function, but advance backwards.

Returns
  true on success and false otherwise.

The documentation for this class was generated from the following file:

- include/btllib/nthash.hpp